ilalr(3)

NAME
ilalr - ilalr: find non-zero row

SYNOPSIS

  Functions

integer function ilaclr (m, n, a, lda)
ILACLR scans a matrix for its last non-zero row.
integer function iladlr (m, n, a, lda)
ILADLR scans a matrix for its last non-zero row.
integer function ilaslr (m, n, a, lda)
ILASLR scans a matrix for its last non-zero row.
integer function ilazlr (m, n, a, lda)
ILAZLR scans a matrix for its last non-zero row.

Detailed Description

Function Documentation

  integer function ilaclr (integer m, integer n, complex, dimension( lda, * ) a, integer lda)

ILACLR scans a matrix for its last non-zero row.

Purpose:

    !>
    !> ILACLR scans A for its last non-zero row.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is COMPLEX array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  integer function iladlr (integer m, integer n, double precision, dimension( lda, * ) a, integer lda)

ILADLR scans a matrix for its last non-zero row.

Purpose:

    !>
    !> ILADLR scans A for its last non-zero row.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  integer function ilaslr (integer m, integer n, real, dimension( lda, * ) a, integer lda)

ILASLR scans a matrix for its last non-zero row.

Purpose:

    !>
    !> ILASLR scans A for its last non-zero row.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is REAL array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  integer function ilazlr (integer m, integer n, complex*16, dimension( lda, * ) a, integer lda)

ILAZLR scans a matrix for its last non-zero row.

Purpose:

    !>
    !> ILAZLR scans A for its last non-zero row.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.
    !>

    A

    !>          A is COMPLEX*16 array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A. LDA >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.